API docs are broken

Bug #900988 reported by Marcus Habermehl on 2011-12-06
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
webkit (Ubuntu)
Undecided
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

Install libwebkitgtk-3.0-dev and open a file from /usr/share/doc/libwebkitgtk-3.0-dev/html. Most of those files aren't containing any API documentation. And there is no entry in devhelp for WebkitGtk3.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: libwebkitgtk-3.0-dev 1.4.3-0ubuntu3
ProcVersionSignature: Ubuntu 3.0.0-13.22-generic 3.0.6
Uname: Linux 3.0.0-13-generic i686
ApportVersion: 1.23-0ubuntu4
Architecture: i386
Date: Tue Dec 6 23:45:29 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
SourcePackage: webkit
UpgradeStatus: Upgraded to oneiric on 2011-10-13 (53 days ago)

Related branches

Marcus Habermehl (bmh1980de) wrote :
Jason Conti (jconti) wrote :

This is fixed in precise. The docs fail to build out-of-tree because the makefile uses relative paths to the source. Also, the devhelp version in oneiric expects the .devhelp filename to match the directory name, which is why the currently empty docs aren't showing up.

Attached a branch that updates the paths so the docs will build correctly in oneiric, and includes a link so devhelp can find them.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in webkit (Ubuntu):
status: New → Confirmed
Martin Pitt (pitti) wrote :

Closing precise task as per comment 1.

Changed in webkit (Ubuntu):
status: Confirmed → Fix Released
Changed in webkit (Ubuntu Oneiric):
status: New → Fix Committed
tags: added: verification-needed

Hello Marcus, or anyone else affected,

Accepted webkit into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Jason Conti (jconti) wrote :

Tested the webkit 1.4.3-0ubuntu4 packages from oneiric-proposed. The documentation is built and available in devhelp. I did not encounter any issues with devhelp which uses webkitgtk 3.0 or liferea which uses webkitgtk 1.0.

Martin Pitt (pitti) on 2011-12-20
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webkit - 1.4.3-0ubuntu4

---------------
webkit (1.4.3-0ubuntu4) oneiric-proposed; urgency=low

  * debian/libwebkitgtk-3.0-dev.links:
    - Link webkitgtk.devhelp2.gz to webkitgtk-3.0.devhelp2.gz
  * debian/patches/11_fix_doc_path.patch:
    - Use absolute path in makefile to fix out-of-tree build (LP: #900988)
 -- Jason Conti <email address hidden> Wed, 07 Dec 2011 21:20:49 -0500

Changed in webkit (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers